SQ(1)

NAME
sq key subkey expire - Change a subkey's expiration time

SYNOPSIS
sq key subkey expire [OPTIONS] EXPIRATION

DESCRIPTION
Change a subkey's expiration time.

This subcommand changes a key's expiration time. To change the expiration time of the certificate, use the `sq key expire` subcommand.

Changing the expiration time of the primary key is equivalent to changing the certificate's expiration time.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--cert=FINGERPRINT|KEYID
    Change the expiration time of keys on the specified certificate

--cert-file=CERT_FILE
    Change the expiration time of keys on the specified certificate

--key=KEY
    Change the expiration of this subkey

--output=FILE
    Write to the specified FILE.

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

EXPIRATION
    Sets the key's expiration time.

    EXPIRATION is either an ISO 8601 formatted string or a custom duration, which takes the form `N[ymwds]`, where the letters stand for years, months, weeks, days, and seconds, respectively. Alternatively, the keyword `never` does not set an expiration time.

    When using an ISO 8601 formatted string, the validity period is from the key's creation time to the specified time. When using a duration, the validity period is from the key's creation time for the specified duration.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Make Alice's authentication subkey expire in 6 months.

    sq key subkey expire 6m --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0 --key \
        0D45C6A756A038670FDFD85CB1C82E8D27DB23A1

SEE ALSO
sq(1), sq-key(1), sq-key-subkey(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.38.0 (sequoia-openpgp 1.21.2)